Skip to main content
POST
/
v1
/
accounts
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

const account = await client.accounts.create({
  account_program_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  account_type: 'virtual_account',
  beneficiary_data: {
    country_of_citizenship: 'AF',
    date_of_birth: 'date_of_birth',
    identification: { type: 'id', value: 'value' },
    legal_name: 'x',
    residential_address: {
      city: 'x',
      country: 'AF',
      postal_code: 'x',
      street_line_1: 'x',
    },
  },
});

console.log(account.id);
{
  "id": "<string>",
  "type": "account",
  "currency": "EUR",
  "account_type": "virtual_account",
  "status": "pending",
  "asset_type": "fiat",
  "label": "<string>",
  "financial_addresses": [
    {
      "type": "iban",
      "iban": "<string>",
      "account_holder_name": "<string>",
      "bic": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Headers

Idempotency-Key
string

Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.

Body

application/json

Account parameters

account_program_id
string<uuid>
required

ID of the account program to create the account under.

account_type
enum<string>
required

Type of account. Currently only virtual account.

Available options:
virtual_account
beneficiary_data
object
required

Personal information of the account beneficiary.

Response

200 - application/json

Account created successfully

id
string
required

Unique identifier of the account.

type
enum<string>
required

Resource type discriminator.

Available options:
account
currency
enum<string>
required

ISO 4217 currency code for the account.

Available options:
EUR,
GBP,
USD,
USDC
account_type
enum<string>
required

Type of the account.

Available options:
virtual_account,
payment_account
status
enum<string>
required

Current status of the account.

Available options:
pending,
active,
frozen,
closed
asset_type
enum<string>
required

Asset type of the account.

Available options:
fiat,
crypto
label
string
required

Human-readable label for the account.

financial_addresses
object[]
required

Payment identifiers (e.g. IBAN, account number, wallet address) through which this account can send or receive funds.

created_at
string<date-time>
required

ISO 8601 UTC timestamp when the account was created.

updated_at
string<date-time>
required

ISO 8601 UTC timestamp when the account was last updated.